[Overview][Constants][Types][Index] | Reference for unit 'unixtype' (#rtl)

# pthread_attr_t

Thread attributes record. Opaque.

## Declaration

Source position: ptypes.inc line 241

`type pthread_attr_t = record`
`__detachstate: cint;` |  | ?
`__schedpolicy: cint;` |  | ?
`__schedparam: sched_param;` |  | ?
`__inheritsched: cint;` |  | ?
`__scope: cint;` |  | ?
`__guardsize: size_t;` |  | ?
`__stackaddr_set: cint;` |  | ?
`__stackaddr: pointer;` |  | ?
`__stacksize: size_t;` |  | ?
`end;`

## Description

pthread_attr_t describes the thread attributes. It should be considered an opaque record, the names of the fields can change anytime. Use the appropriate functions to set the thread attributes.